openSUSE Security Update : icedtea-web (openSUSE-SU-2013:0897-1)

Medium Nessus Plugin ID 74981


The remote openSUSE host is missing a security update.


- update to 1.3.2 (bnc#815596)

- Security Updates

- CVE-2013-1927, RH884705: fixed gifar vulnerability

- CVE-2013-1926, RH916774: Class-loader incorrectly shared for applets with same relative-path.

- Common

- Added new option in itw-settings which allows users to set JVM arguments when plugin is initialized.

- NetX

- PR580: loads improperly

- Plugin

- PR1260: IcedTea-Web should not rely on GTK obsoletes icedtea-web-remove-gtk-dep.patch

- PR1157: Applets can hang browser after fatal exception


Update the affected icedtea-web packages.

See Also

Plugin Details

Severity: Medium

ID: 74981

File Name: openSUSE-2013-373.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:icedtea-web, p-cpe:/a:novell:opensuse:icedtea-web-debuginfo, p-cpe:/a:novell:opensuse:icedtea-web-debugsource, p-cpe:/a:novell:opensuse:icedtea-web-javadoc, cpe:/o:novell:opensuse:12.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2013/04/19

Reference Information

CVE: CVE-2013-1926, CVE-2013-1927